List Products

Filtering By Status

You can filter your products by the following status values:

  • in_stock
  • enabled
  • disabled
  • deleted
  • sold_out
  • problematic
  • low_inventory
  • banned

Sorting

You can sort your products using the following sort options:

  • created_at_ascending
  • created_at_descending
  • updated_at_ascending
  • updated_at_descending
  • unique_id_ascending
  • unique_id_descending
  • ratings_ascending
  • ratings_descending
  • target_price_ascending
  • target_price_descending
  • sfb_ascending
  • sfb_descending
  • sales_ascending
  • sales_descending
  • reserve_price_descending
  • reserve_price_ascending

Pagination

The pagination flag is useful if you need to get a count of the total number of products available to fetch. When the pagination flag is used the list of products will appear under a key called results, and the pagination information will be returned as demonstrated in the following example.

curl -X GET https://tophatter.com/merchant_api/v1/products.json \
-d 'access_token=YOUR_ACCESS_TOKEN' \
-d 'page=1' \
-d 'per_page=100' \
-d 'pagination=1'
{
  "results": [...],
  "from": 1,
  "to": 50,
  "page": 1,
  "per_page": 50,
  "total_entries": 150
}

In the case above, there are 150 products total, and results contain products 1 through 50.

Query Params
string

Optional - Filter the results by product status. See the "Filtering By Status" section below for the list of sort options.

string

Optional - Filter the results by product category. If not set, products under all categories are returned. Only the first two levels of categorization are accepted. For example, instead of "Electronics | Audio | Headphones" you can only specify "Electronics | Audio" for this filter.

int32
Defaults to 1

Optional - When paginating, the page of products to return. Example: Assuming a per_page value of 50, page 1 would return products 1 to 50 and page 2 would return products 51 to 100.

int32
Defaults to 50

Optional - The number of products to return per page. 1000 is the maximum value.

string
Defaults to created_at_descending

Optional - Sort the products using the provided option. See the "Sorting" section below for the list of sort options.

boolean
Defaults to false

Optional - Return a pagination summary along with the list of products.

Response

Language
Credentials
Basic
base64
:
Request
Response
Choose an example:
application/json